{% from "shuup/admin/macros/general.jinja" import content_block %}
{% from "shuup/admin/macros/multilanguage.jinja" import language_dependent_content_tabs %}

{% set canvas_store_stock_form = form[form_def.name] %}

{% macro render_stock_field() %}
    {% for product, product_stock in canvas_store_stock_form.product_stocks.items() %}
        <tr>
            <td>{{ product.name }}</td>
            {% for supplier in canvas_store_stock_form.initial_store_suppliers %}
                {% set stock = product_stock[supplier] %}
                {% if stock %}
                    <td>{{ stock.logical_count|round_stock_value }} / {{ stock.physical_count|round_stock_value }}</td>
                {% else %}
                    <td></td>
                {% endif %}
            {% endfor %}
        </tr>
    {% endfor %}
{% endmacro %}

{% call content_block(_("Stock Management"), "fa-cubes") %}
    {% set is_normal_product = canvas_store_stock_form.product.mode.value == 0 %}{# ProductMode.NORMAL #}
    {% if is_normal_product %}
        <h1 class="title">{{ canvas_store_stock_form.supplier.name }}</h1>
        {{ bs3.field(canvas_store_stock_form["logical_count"]) }}
        {{ bs3.field(canvas_store_stock_form.delta) }}
    {% else %}
        <p>
            {% trans %}
                This is a variation product so the stock counts can be managed from the
                <a href="#" id="stock-product-variation">Product variations</a>
                tab.
            {% endtrans %}
        </p>
    {% endif %}

    <h1 class="title">{% trans %}Canvas Stores{% endtrans %}</h1>
    {{ bs3.field(canvas_store_stock_form.canvas_stores, render_label=False) }}
    <div class="form-group">
        {% if canvas_store_stock_form.initial_store_suppliers %}
            <p class="section-description">
                {%- trans -%}
                    Below are the stock statuses of your product in all the selected stores.
                {% endtrans %}
                <br>
                {%- trans -%}
                    The store managers update these when you supply your products for them.
                {%- endtrans -%}
            </p>
        {% endif %}

        {% if canvas_store_stock_form.initial_store_suppliers %}
            <table class="table table-striped">
                <thead>
                    <tr>
                        <th></th>
                        {% for supplier in canvas_store_stock_form.initial_store_suppliers %}
                            <th>{{ supplier.name }} ({% trans %}Logical / Physical{% endtrans %})</th>
                        {% endfor %}
                    </tr>
                </thead>
                <tbody>
                    {{ render_stock_field() }}
                </tbody>
            </table>
        {% endif %}
    </div>
{% endcall %}


{% block extra_js %}
    <script>
        function handleClick() {
            document.querySelector('a[href="#product-variations-section"]').click();
        }
        document.getElementById('stock-product-variation').addEventListener('click', handleClick);
    </script>
{% endblock %}
